Results 1 to 17 of 17

Your favorite Apple, iPhone, iPad, iOS, Jailbreak, and Cydia site.


Thread: iphone restore situation

  1. #1
    Default iphone restore situation
    hello,
    i jailbroke my iphone 3gs 3.1.2 with blackrain, and the picture of the guy came out, now as soon as that happened, the phone went to the itunes screen and got stuck, when i put it back to itunes it tell me that that i need to restore, and for somereason, i never upgrade it, and it tells me that the iphone software is up to date, which for me doesnt make sense, i tried snowbreeze but i get the error on itunes saying that this iphone cannot be restores error 1604! is there any other way? do i have the no modem firmware already? and how come i didnt upgrade but it thinks i did, i would really appreciate this help!
    thanks

  2. #2
    Livin the iPhone Life
    Join Date
    Oct 2009
    Location
    Europe
    Posts
    2,830
    Thanks
    76
    Thanked 382 Times in 368 Posts

    Did you try running blackra1n again when you're on the recovery screen?

  3. The Following User Says Thank You to dhamien For This Useful Post:

    soccerandrunning28 (2010-04-17)

  4. #3
    Quote Originally Posted by soccerandrunning28 View Post
    hello,
    i jailbroke my iphone 3gs 3.1.2 with blackrain, and the picture of the guy came out, now as soon as that happened, the phone went to the itunes screen and got stuck, when i put it back to itunes it tell me that that i need to restore, and for somereason, i never upgrade it, and it tells me that the iphone software is up to date, which for me doesnt make sense, i tried snowbreeze but i get the error on itunes saying that this iphone cannot be restores error 1604! is there any other way? do i have the no modem firmware already? and how come i didnt upgrade but it thinks i did, i would really appreciate this help!
    thanks
    followmy post here
    http://modmyi.com/forums/general/701...t-loop-20.html

  5. The Following User Says Thank You to iloveiphones For This Useful Post:

    soccerandrunning28 (2010-04-17)

  6. #4
    ni, i havent ran blackrain again, but i will try it as soon as i get home! but i though black rain works only when the iphone is turned on, and also if someone knows the awnser for my questions earlier, i would really appreciate it, because it is still really bothering me how itunes says my software is updated, while i never did update!
    thanks
    p.s i am going to fellow your thread, but should i start from the begining, or is there a specific page to go to?
    thanks

    ok, i actually ran blackrain again, and yes it did work! thank you very much, but now i have another problem, everytime i power off the iphone, it has to be jailbroken again by blackrain, or else it stays in the itunes screen, any other way or trick to make it go not needding to jailbreak everytime i have to restart it!
    i really appreciate the help on this site
    Last edited by soccerandrunning28; 2010-04-17 at 01:03 AM. Reason: Automerged Doublepost

  7. #5
    Retired Moderator iYeow's Avatar
    Join Date
    Feb 2008
    Location
    Vancouver, Canada
    Posts
    13,996
    Thanks
    76
    Thanked 2,764 Times in 2,652 Posts

    It sounds like you have the new bootrom and there is no untethered jailbreak for the new bootrom at this moment.

  8. The Following User Says Thank You to iYeow For This Useful Post:

    soccerandrunning28 (2010-04-17)

  9. #6
    im not sure if i have the new bootrom, because i have modem firmware 05.11.07, and i am in firmware 3.1.2.
    but im not sure if this is relevant or not but my model it says mc147c!
    thanks

  10. #7
    Livin the iPhone Life
    Join Date
    Oct 2009
    Location
    Europe
    Posts
    2,830
    Thanks
    76
    Thanked 382 Times in 368 Posts

    No, the bootrom can't be determined by baseband version or model number. What matters though is that you need to run blackra1n every time you boot the phone. That fact means you have the new bootrom.

    Unfortunately there's no way around this at the moment. There's talk about a new jailbreak being released not too far in the future which should be untethered meaning you won't have to connect to the computer to boot the phone. Just check in here from time to time over the next couple of weeks.

  11. #8
    What's Jailbreak?
    Join Date
    Apr 2010
    Location
    Dominican Republic
    Posts
    5
    Thanks
    2
    Thanked 0 Times in 0 Posts

    Default I'm stuck!
    Hi ppl. I have an iphone 3g (3.1.3, 05.12.01, Bootrom 5.08, MB model)

    I used to have 3.1.2 with 05.11 baseband, but updated to 3.1.3 with 05.12 baseband. I could't use my sim card because the iphone is american and i am not in the US.

    Searching the web i found a post saying that with my bootrom i could use snowbreeze to jb because of the bootrom. And tried it. My iphone is now stuck in the usb cable and the iTunes logo. What can i do? I even created an apple ipsw following the tutorial but didn't work.

    Help plz, i've read too much and can't find an answer because it seems that ppl with 5.08 bootrom can use snowbreeze and i can't.

    Pd: I also got error 1604, 1602 an 2 while in iTunes.

    In the unlock part of snowbreeze when i try to select Blacksnow it says: blacksnow is not compatible with firmware 3.1.3 running the 05.11.07 baseband. If you use blacksnow it is HIGHLY suggested that you remain on 3.1.2!
    I AM LOST! I DON'T UNDERSTAND THIS ALERT!

    Thanks for ur responses.
    Last edited by Demoniac@; 2010-04-17 at 04:40 PM.

  12. #9
    Livin the iPhone Life
    Join Date
    Oct 2009
    Location
    Europe
    Posts
    2,830
    Thanks
    76
    Thanked 382 Times in 368 Posts

    Quote Originally Posted by Demoniac@ View Post
    Hi ppl. I have an iphone 3g (3.1.3, 05.12.01, Bootrom 5.08, MB model)

    I used to have 3.1.2 with 05.11 baseband, but updated to 3.1.3 with 05.12 baseband. I could't use my sim card because the iphone is american and i am not in the US.

    Searching the web i found a post saying that with my bootrom i could use snowbreeze to jb because of the bootrom. And tried it. My iphone is now stuck in the usb cable and the iTunes logo. What can i do? I even created an apple ipsw following the tutorial but didn't work.

    Help plz, i've read too much and can't find an answer because it seems that ppl with 5.08 bootrom can use snowbreeze and i can't.

    Pd: I also got error 1604, 1602 an 2 while in iTunes.

    In the unlock part of snowbreeze when i try to select Blacksnow it says: blacksnow is not compatible with firmware 3.1.3 running the 05.11.07 baseband. If you use blacksnow it is HIGHLY suggested that you remain on 3.1.2!
    I AM LOST! I DON'T UNDERSTAND THIS ALERT!

    Thanks for ur responses.
    You're kinda hijacking the thread, but I'll answer.

    Don't bother with sn0wbreeze, it's not a good program. Just restore to a fresh 3.1.3 and then jailbreak with redsn0w 0.9.2

    When you've done that, go into Cydia and install Fuzzyband. This will let you downgrade your baseband. If possible, downgrade to 04.26.08 and unlock with ultrasn0w as that is the most bug-free unlock tool available.

    You can find redsn0w here: redsn0w 0.9.2 [iPhone Dev Team]
    You will also need the official 3.1.2 firmware file when you jailbreak 3.1.3 and you can find that here: iPod, iPhone and iPad Firmware Download

  13. The Following User Says Thank You to dhamien For This Useful Post:

    Demoniac@ (2010-04-17)

  14. #10
    What's Jailbreak?
    Join Date
    Apr 2010
    Location
    Dominican Republic
    Posts
    5
    Thanks
    2
    Thanked 0 Times in 0 Posts

    Thanks dhamien. i Restored the iphone on itunes with the 3.1.3. Downloaded redsnow, now i am downloading the 3.1.2 firmware. Is that right? Then i'll use it on redsnow.

    Ok, here i am again. I did the jailbreak with redsnow, went to Cydia on the iphone. There were 2 fuzzyband programs. I downloaded 3g fuzzyband downgrader. But when opened fuzzyband it says:

    Bootloader Version:
    0.00
    Baseband Version:
    0.00
    Iphone OS Version:
    3.1.3

    Not supported. This software cannot be used on iPhoneOS 3.0; you must downgrade to 2.2.1 or lower.

    What's next?
    Last edited by Demoniac@; 2010-04-17 at 10:56 PM. Reason: Automerged Doublepost

  15. #11
    Livin the iPhone Life
    Join Date
    Oct 2009
    Location
    Europe
    Posts
    2,830
    Thanks
    76
    Thanked 382 Times in 368 Posts

    Try using the one just called "Fuzzyband". It should be version 4.0~b1-3.
    Last edited by dhamien; 2010-04-18 at 12:09 AM.

  16. #12
    What's Jailbreak?
    Join Date
    Apr 2010
    Location
    Dominican Republic
    Posts
    5
    Thanks
    2
    Thanked 0 Times in 0 Posts

    Hi, with 3g fuzzyband it says i can't do it but forecast says i have 5.08 bootrom.

    And when i try to install Fuzzyband version 4.0~b1-3 i can't. Error: running. Sub-process/usr/bin/dpkg returned an error code (1).

    Am i doing something wrong?
    Last edited by Demoniac@; 2010-04-19 at 09:49 PM.

  17. #13
    Livin the iPhone Life
    Join Date
    Oct 2009
    Location
    Europe
    Posts
    2,830
    Thanks
    76
    Thanked 382 Times in 368 Posts

    05.08 is actually the bootloader not the bootrom. Not that it matters, just wanted to clear that up.

    In any case, it should be the version that makes the baseband downgradable.

    Did you uninstall "3G Fuzzyband Downgrader" before attempting to install "Fuzzyband"?

    It might be that you need to get version 3.1.3-1
    Last edited by dhamien; 2010-04-19 at 08:10 PM.

  18. #14
    What's Jailbreak?
    Join Date
    Apr 2010
    Location
    Dominican Republic
    Posts
    5
    Thanks
    2
    Thanked 0 Times in 0 Posts

    No i did not. I'll do it this way. Should i downgrade to 2.2.1?

  19. #15
    Livin the iPhone Life
    Join Date
    Oct 2009
    Location
    Europe
    Posts
    2,830
    Thanks
    76
    Thanked 382 Times in 368 Posts

    To be honest, I'm kinda in the dark here as I've never tried it before myself. I do know though, that it's possible with your bootloader. I looked at Cydia and google a bit and from what I can tell, the one just called "Fuzzyband" should be the one you should use.

    The version of Fuzzyband was recently updated to 3.1.3-1 in order to be able to downgrade from BB 05.12.01 - since then, there's been another update so it now works on the 4.0 firmware's 05.13.03 BB. I assume that it's backwards compatible meaning you should just be able to install the newest version from Cydia. In the case that it's not, you'll need to download the 3.1.3-1 .deb file and install that.

    What I suggest though, is removing the "3G Fuzz..." and then try installing "Fuzzyband" and use that to downgrade the BB. Reboot in between uninstall of the old program and installation of the new. If that doesn't work, try finding the 3.1.3-1 deb. If that doesn't work either, try downgrading the firmware and see if either of the above methods will work then.

  20. #16
    What's Jailbreak?
    Join Date
    Apr 2010
    Location
    Dominican Republic
    Posts
    5
    Thanks
    2
    Thanked 0 Times in 0 Posts

    ...What I suggest though, is removing the "3G Fuzz..." and then try installing "Fuzzyband" and use that to downgrade the BB. Reboot in between uninstall of the old program and installation of the new.
    (DIDN'T WORK).

    If that doesn't work, try finding the 3.1.3-1 deb.
    (FOUND IT BUT I'M HAVING PROBLEMS ADDING IT TO THE IPHONE, THE TERMINAL GIVE ME AN ERROR).

    If that doesn't work either, try downgrading the firmware and see if either of the above methods will work then.
    (TRIED TO DOWNGRADE TO 2.2.1 BUT REDSNOW SAYS UNABLE TO RECOGNIZE SPECIFIED IPSW).
    [/QUOTE]

    I guess this is impossible. But thanks for ur help, i've learned a lot during these days. Thank u so much!!!

    Hi dhamien, sorry for all the posts. I finally downgraded the firmware to 04.26.08 using fuzzyband 3.1.3 (i found it as a .deb file, installed using terminal and finally did the downgrade.

    Now, i think the next step is ultrasnow.

    I'll let u know...

    Did it,i have my iphome jailbreaked, downgraded and unlocked! Thanks dhamien... u're my new hero!

    iPhone 3g
    Version: 3.1.3 (7e18)
    Model: MB
    Modem Firmware: 04.26.08

    Kisses from DR!
    Last edited by Demoniac@; 2010-04-20 at 04:31 AM. Reason: Automerged Doublepost

  21. #17
    Livin the iPhone Life
    Join Date
    Oct 2009
    Location
    Europe
    Posts
    2,830
    Thanks
    76
    Thanked 382 Times in 368 Posts

    Happy to help and I'm glad it worked out for you

  22. The Following User Says Thank You to dhamien For This Useful Post:

    Demoniac@ (2010-04-20)

Posting Permissions
  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •